OpenTTD Source: LeagueTableElement Struct Reference

OpenTTD Source 14.0-beta3

Public Member Functions | Data Fields
LeagueTableElement Struct Reference

Struct about league table elements. More...

`#include <league_base.h>`

Inheritance diagram for LeagueTableElement:

## Public Member Functions
| LeagueTableElement ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states)
| ~LeagueTableElement ()
| (Empty) destructor has to be defined else operator delete might be called with nullptr parameter
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_league_table_element_pool >
void * | operator new (size_t size)
| Allocates space for new Titem. More...
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index. More...
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address. More...
void | operator delete (void *p)
| Marks Titem as free. More...

## Data Fields
LeagueTableID | table
| Id of the table which this element belongs to.
int64_t | rating
| Value that determines ordering of elements in the table (higher=better)
CompanyID | company
| Company Id to show the color blob for or INVALID_COMPANY.
std::string | text
| Text of the element.
std::string | score
| String representation of the score associated with the element.
Link | link
| What opens when element is clicked.
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_league_table_element_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_league_table_element_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > | Pool
| Type of the pool this item is going to be part of.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_league_table_element_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function() More...
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no. More...
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-nullptr) Titem. More...
static Titem * | Get (size_t index)
| Returns Titem with given index. More...
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index. More...
static size_t | GetPoolSize ()
| Returns first unused index. More...
static size_t | GetNumItems ()
| Returns number of valid items in the pool. More...
static void | PostDestructor ([[maybe_unused]] size_t index)
| Dummy function called after destructor of each member. More...
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem. More...

## Detailed Description

Struct about league table elements.

Each LeagueTable is composed of one or more elements. Elements are sorted by their rating (higher=better).

Definition at line 31 of file league_base.h.

The documentation for this struct was generated from the following file:

- src/league_base.h